/// <reference types="node" />
import { Readable } from "stream";
export declare class BufferStream {
    readStream: Readable;
    isBigEndian: boolean;
    protected currentIndex: number;
    protected bufferLength: number;
    constructor(buffer: Buffer, isBigEndian?: boolean);
    readString(size?: number, trimNulls?: boolean): string;
    readInt(size?: 1 | 2 | 3 | 4, unsigned?: boolean): number;
    readInts(amount: number, size?: 1 | 2 | 3 | 4, unsigned?: boolean): number[];
    readBigInt(unsigned?: boolean): bigint;
    readFloat(): number;
    readFloats(amount: number): number[];
    readUntilNull(writeBuffer?: number[]): Buffer;
    readNulls(): number;
    readIntFloatPairs(): number[][];
    readBool(): boolean;
    read(size?: number): Buffer;
    destroy(): void;
    getPosition(): number;
}
